com.mockobjects.jms

## Class MockTopic

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockTopic

All Implemented Interfaces:
  Verifiable

    public class MockTopic
    extends MockObject

### Constructor Summary

Constructors
Constructor and Description
`MockTopic()`

### Method Summary

Methods
`java.lang.String` `getTopicName()`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockTopic

    public MockTopic()

### Method Detail

#### getTopicName

    public java.lang.String getTopicName()
                                  throws JMSException

Throws:
  `JMSException`